Skip to main content
PATCH
Contract Amendment Update Api

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contract_uuid
string
required

UUID of the contract

amendment_uuid
string
required

UUID of the amendment to update

Body

application/json

Input schema for updating a contract amendment (all fields optional).

effective_date
string<date> | null

Updated effective date for the amendment

Example:

"2024-07-01"

Response

Amendment updated successfully

Output schema for contract amendment.

original_contract_uuid
string<uuid>
required

UUID of the original contract

uuid
string<uuid>
effective_date
string<date> | null
effective_end_date
string<date> | null
status
string
default:pending
Maximum string length: 20
amendment_changes
Amendment Changes · object | null
summary
string | null